Package com.opensymphony.module.sitemesh.html.rules

# Class HeadExtractingRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.BlockExtractingRule
com.opensymphony.module.sitemesh.html.rules.HeadExtractingRule

All Implemented Interfaces:
  `TagRule`

public class HeadExtractingRule extends BlockExtractingRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private final CharArray`
`head`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Constructor
Description
`HeadExtractingRule(CharArray head)`

## Method Summary

Modifier and Type
Method
Description
`protected CharArray`
`createBuffer()`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BlockExtractingRule

`end, process, start`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext, shouldProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### head

private final CharArray head

## Constructor Details

### HeadExtractingRule

public HeadExtractingRule(CharArray head)

## Method Details

### createBuffer

protected CharArray createBuffer()

Overrides:
  `createBuffer` in class `BlockExtractingRule`